# Uses of Interface
org.eclipse.ui.ISelectionService

Packages that use ISelectionService
Package
Description
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.databinding.typed
org.eclipse.ui.internal

## Uses of ISelectionService in org.eclipse.ui

Subinterfaces of ISelectionService in org.eclipse.ui
Modifier and Type
Interface
Description
`interface`
`IWorkbenchPage`
A workbench page consists of an arrangement of views and editors intended to be presented together to the user in a single workbench window.
Methods in org.eclipse.ui that return ISelectionService
Modifier and Type
Method
Description
`ISelectionService`
IWorkbenchWindow.`getSelectionService()`
Returns the selection service which tracks selection within this workbench window.

## Uses of ISelectionService in org.eclipse.ui.databinding.typed

Methods in org.eclipse.ui.databinding.typed with type parameters of type ISelectionService
Modifier and Type
Method
Description
`static <S extends ISelectionService, E>
IListProperty<S,E>`
WorkbenchProperties.`multipleSelection()`
Returns a property for observing the elements of a structured selection as exposed by `ISelectionService`.
`static <S extends ISelectionService, E>
IListProperty<S,E>`
WorkbenchProperties.`multipleSelection(Class<E> elementType)`
Returns a property for observing the elements of a structured selection as exposed by `ISelectionService`.
`static <S extends ISelectionService, E>
IListProperty<S,E>`
WorkbenchProperties.`multipleSelection(String partId, boolean postSelection)`
Returns a property for observing the elements of a structured selection as exposed by `ISelectionService`.
`static <S extends ISelectionService, E>
IListProperty<S,E>`
WorkbenchProperties.`multipleSelection(String partId, boolean postSelection, Class<E> elementType)`
Returns a property for observing the elements of a structured selection as exposed by `ISelectionService`.
`static <S extends ISelectionService, T>
IValueProperty<S,T>`
WorkbenchProperties.`singleSelection()`
Returns a property for observing the first element of a structured selection as exposed by `ISelectionService`.
`static <S extends ISelectionService, T>
IValueProperty<S,T>`
WorkbenchProperties.`singleSelection(String partId, boolean postSelection)`
Returns a property for observing the first element of a structured selection as exposed by `ISelectionService`.
`static <S extends ISelectionService, T>
IValueProperty<S,T>`
WorkbenchProperties.`singleSelection(String partId, boolean postSelection, Class<T> valueType)`
Returns a property for observing the first element of a structured selection as exposed by `ISelectionService`.

## Uses of ISelectionService in org.eclipse.ui.internal

Classes in org.eclipse.ui.internal that implement ISelectionService
Modifier and Type
Class
Description
`class`
`SlaveSelectionService`
`class`
`WorkbenchPage`
A collection of views and editors in a workbench.
Methods in org.eclipse.ui.internal that return ISelectionService
Modifier and Type
Method
Description
`ISelectionService`
WorkbenchWindow.`getSelectionService()`
Constructors in org.eclipse.ui.internal with parameters of type ISelectionService
Modifier
Constructor
Description
``
`SlaveSelectionService(ISelectionService parentSelectionService)`